Re-identifies the user with a new context, for example after login.
POST
/v1/client/identify
const url = 'https://eval.featureflip.io/v1/client/identify';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"context":{"additionalProperty":"example"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://eval.featureflip.io/v1/client/identify \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "context": { "additionalProperty": "example" } }'Re-evaluates all client-visible flags and returns the updated values. Also updates the context on any active SSE connections for this environment.
Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”The evaluation request containing the new user context attributes.
object
context
required
object
key
additional properties
Examplegenerated
{ "context": { "additionalProperty": "example" }}object
context
required
object
key
additional properties
Examplegenerated
{ "context": { "additionalProperty": "example" }}object
context
required
object
key
additional properties
Examplegenerated
{ "context": { "additionalProperty": "example" }}Responses
Section titled “Responses”Returns the re-evaluated results for all client-visible flags.
Media typeapplication/json
object
flags
required
object
key
additional properties
object
value
required
variation
required
string
reason
required
string
prerequisiteKey
string
Examplegenerated
{ "flags": { "additionalProperty": { "value": "example", "variation": "example", "reason": "example", "prerequisiteKey": "example" } }}Client SDK key is missing or invalid.
Media typeapplication/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Flag configuration is temporarily unavailable; retry after the interval in Retry-After.